Subject: Re: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: Robert Marshall <[email-masked]>
Date: Tue, 25 Mar 2014 11:09:40 +0000

Juanma Barranquero writes:
 > On Tue, Mar 25, 2014 at 8:12 AM, Robert Marshall <[email-masked]> wrote:
 > 
 > > No bug with that line commented
 > 
 > That's great news! Sort of... :-(
 > 
 > That line's here because on some systems (Windows, among others),
 > 
 >   (make-frame '((height . X)))
 > 
 > and
 > 
 >   (modify-frame-parameters (make-frame) '((height . X)))
 > 
 > do not give frames of the same height (that's bug#14795).
 > 
 > Apparently, in your system, modifying a frame size with
 > (tool-bar-lines . 0) triggers a window manager (or Emacs redisplay)
 > bug.
 > 
 > If you evaluate this in emacs -Q, does it fail too?
 > 
 > (let* ((default-frame-alist nil)
 >        (frame (make-frame '((width . 80) (height . 20))))
 >        (tool-bar-lines (frame-parameter frame 'tool-bar-lines)))
 >   (discard-input)
 >   (read-event nil nil 2)
 >   (modify-frame-parameters frame '((tool-bar-lines . 0) (width . 60)
 > (height . 25)))
 >   (modify-frame-parameters frame `((tool-bar-lines . ,tool-bar-lines))))
 > 

It doesn't cause the bug but if I drop those lines into a file and
load it from a -Q -l command line I then see the bug.

Sometimes when I run that elisp (from *scratch*) I see the frame come
up 80 width and it doesn't resize to 60 which seems odd (to me)

R
-- 
Robert Marshall